# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "noa/resource/version"

Gem::Specification.new do |spec|
  spec.name          = "noa-resource"
  spec.version       = Noa::Resource::VERSION
  spec.authors       = ["Jari Jokinen"]
  spec.email         = ["info@jarijokinen.com"]
  spec.description   = "Resource module for Noa"
  spec.summary       = "Resource module for Noa"
  spec.homepage      = "https://github.com/jarijokinen/noa-resource"
  spec.license       = "MIT"

  spec.platform = Gem::Platform::RUBY
  spec.required_ruby_version = ">= 2.0.0"

  spec.files         = `git ls-files`.split($/)
  spec.test_files    = spec.files.grep(%r{^spec/})
  spec.require_paths = ["lib"]

  spec.add_dependency "noa-core",            "~> 0.0.2"
  spec.add_dependency "inherited_resources"  # Use repo defined in Gemfile
  spec.add_dependency "responders",          "~> 1.0.0.rc"

  spec.add_development_dependency "noa-developer", "~> 0.0.2"
  spec.add_development_dependency "rails",         "~> 4.0.0"
end
